Control port on 3.7.8?

After pulling the latest version of gnuradio, and
remaking/installing/etc
I am trying to run the application “pfb_sync_test.grc” in the examples
directory of control port.
It is giving me the following error:

================
Executing:
“/home/anastas/gnuradio_trunk/gr-blocks/examples/ctrlport/pfb_sync_test_qt.py”

Using Volk machine: sse4_1_64_orc
ControlPort Monitor running.
Traceback (most recent call last):
File
“/home/anastas/gnuradio_trunk/gr-blocks/examples/ctrlport/pfb_sync_test_qt.py”,
line 233, in
(tb.blocks_ctrlport_monitor_0).start()
File
“/usr/local/lib64/python2.7/site-packages/gnuradio/ctrlport/monitor.py”,
line 48, in start
print “monitor::endpoints() = %s” %
(gr.rpcmanager_get().endpoints())
AttributeError: ‘NoneType’ object has no attribute ‘endpoints’
ctrlport.monitor received shutdown signal

this is on a Fedora 19-64.

Any help is greatly appreciated.

thanks
Achilleas

On Wed, May 6, 2015 at 1:27 PM, Achilleas A.
[email protected]
wrote:

ControlPort Monitor running.
ctrlport.monitor received shutdown signal

this is on a Fedora 19-64.

Any help is greatly appreciated.

thanks
Achilleas

Looks like the server isn’t being started. When you run cmake, you
should
see that under enabled components, you have:

  • gr-ctrlport
    ** thrift

That tells you ControlPort is enabled and the Thrift backend will be
built
for it. You can also tell by looking at gnuradio/config.h to see if
GR_RPCSERVER_ENABLED and GR_RPCSERVER_THRIFT are defined there.

My guess is that cmake isn’t picking up Thrift. It requires version
0.9.2
to run. You can get some info on building this yourself here:

http://gnuradio.org/redmine/projects/gnuradio/wiki/ControlPort

I also just pushed a new apache-thrift recipe to PyBOMBS today.

Tom

OK, so cmake cannot find thrift, which is reasonable because i didn’t
build
it…

So, I followed the instructions on building thrift and
configure returns

thrift 0.9.2

Building C++ Library … : no
Building C (GLib) Library … : yes
Building Java Library … : yes
Building C# Library … : no
Building Python Library … : yes
Building Ruby Library … : no
Building Haskell Library … : no
Building Perl Library … : no
Building PHP Library … : yes
Building Erlang Library … : no
Building Go Library … : no
Building D Library … : no
Building NodeJS Library … : no
Building Lua Library … : no

Java Library:
Using javac … : javac
Using java … : java
Using ant … : /usr/bin/ant

Python Library:
Using Python … : /usr/bin/python

PHP Library:
Using php-config … :

If something is missing that you think should be present,
please skim the output of configure to find the missing
component. Details are present in config.log.

==========================

Is the C++ library necessary?

The config.log file says that it needs boost 1.54.0 or greater, for some
files. Can this be the reason the C++ library is not built?

thanks
Achilleas

On Wed, May 6, 2015 at 7:28 PM, Achilleas A.
[email protected]
wrote:

Building C++ Library … : no
Building D Library … : no

The config.log file says that it needs boost 1.54.0 or greater, for some
files. Can this be the reason the C++ library is not built?

thanks
Achilleas

Here’s the Thrift webpage for the installation dependencies:
https://thrift.apache.org/docs/install/

It /says/ it only requires Boost 1.53. The libevent and zlib are
optional
dependencies, but you’ll want to have the libevent, which I believe can
be
installed with “yum install libevent-devel” on Fedora.

If it really is complaining about Boost 1.53 and saying it needs 1.54,
that’s either a bug in their build script or their documentation.

Tom

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs